Bug 815787 - Adobe Reader not working
Adobe Reader not working
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: setroubleshoot-plugins (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On: 815697 815852
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 10:08 EDT by Miroslav Grepl
Modified: 2013-07-04 02:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 815697
Environment:
Last Closed: 2013-07-04 02:32:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Grepl 2012-04-24 10:08:13 EDT
+++ This bug was initially created as a clone of Bug #815697 +++

Adobe Reader is not working in Fedora 17.

$ acroread
/opt/Adobe/Reader9/Reader/intellinux/bin/acroread: error while loading shared libraries: libcrypto.so.0.9.8: cannot enable executable stack as shared object requires: Permission denied

$ ls -lhZ /opt/Adobe/Reader9/Reader/intellinux/bin/
-rwxr-xr-x. root root system_u:object_r:bin_t:s0       acroread
-rwxr-xr-x. root root system_u:object_r:bin_t:s0       SynchronizerApp
-rwxr-xr-x. root root system_u:object_r:bin_t:s0       SynchronizerApp-binary
-rwxr-xr-x. root root system_u:object_r:bin_t:s0       xdg-desktop-icon
-rwxr-xr-x. root root system_u:object_r:bin_t:s0       xdg-desktop-menu
-rwxr-xr-x. root root system_u:object_r:bin_t:s0       xdg-email
-rwxr-xr-x. root root system_u:object_r:bin_t:s0       xdg-icon-resource
-rwxr-xr-x. root root system_u:object_r:bin_t:s0       xdg-mime
-rwxr-xr-x. root root system_u:object_r:bin_t:s0       xdg-open
-rwxr-xr-x. root root system_u:object_r:bin_t:s0       xdg-user-dir
-rwxr-xr-x. root root system_u:object_r:bin_t:s0       xdg-user-dirs-update

Strangely, chcon does not seem to have any effect:

$ sudo chcon -t execmem_exec_t /opt/Adobe/Reader9/Reader/intellinux/bin/acroread
$ ls -lhZ /opt/Adobe/Reader9/Reader/intellinux/bin/
-rwxr-xr-x. root root system_u:object_r:bin_t:s0       acroread
-rwxr-xr-x. root root system_u:object_r:bin_t:s0       SynchronizerApp
-rwxr-xr-x. root root system_u:object_r:bin_t:s0       SynchronizerApp-binary
-rwxr-xr-x. root root system_u:object_r:bin_t:s0       xdg-desktop-icon
-rwxr-xr-x. root root system_u:object_r:bin_t:s0       xdg-desktop-menu
-rwxr-xr-x. root root system_u:object_r:bin_t:s0       xdg-email
-rwxr-xr-x. root root system_u:object_r:bin_t:s0       xdg-icon-resource
-rwxr-xr-x. root root system_u:object_r:bin_t:s0       xdg-mime
-rwxr-xr-x. root root system_u:object_r:bin_t:s0       xdg-open
-rwxr-xr-x. root root system_u:object_r:bin_t:s0       xdg-user-dir
-rwxr-xr-x. root root system_u:object_r:bin_t:s0       xdg-user-dirs-update

--- Additional comment from mgrepl@redhat.com on 2012-04-24 10:06:41 EDT ---

Did you see sealert to this issue? If not, try to check it. It will tell you what to do.

basically you can try to clear execstack flag or change a label.
Comment 1 Daniel Walsh 2012-04-24 11:40:02 EDT
Did the alert tell them to run chcon -t execmem_exec_t?
Comment 2 Daniel Walsh 2012-04-24 11:42:52 EDT
BTW turning on allow_execstack will prevent this type of AVC now that it is turned on in Fedora 17.
Comment 3 Susi Lehtola 2012-04-24 12:14:49 EDT
(In reply to comment #1)
> Did the alert tell them to run chcon -t execmem_exec_t?

No, not really. 

(In reply to comment #2)
> BTW turning on allow_execstack will prevent this type of AVC now that it is
> turned on in Fedora 17.

OK, so that is the culprit.
Comment 4 Fedora End Of Life 2013-07-03 18:17:15 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.